com.informix.jdbc

## Class IfxIntervalDF

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxIntervalDF

    public class IfxIntervalDF
    extends IfxObject

Support for IntervalDF datatypes. This class derived from IfxObject class.

See Also:
  `IfxObject`

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Constructor Summary

Constructors
Constructor and Description
`IfxIntervalDF()` Default Constructor.

### Method Summary

Methods
`void` `fromIfx(byte[] b, int offset, int length, short prec)` Set value of this data type to the given Informix network format
`void` `fromIfx(byte[] b, short prec)` Set value of this data type to the given Informix network format
`void` `fromIntervalDF(IntervalDF DF)` Convert an IntervalDF to this IntervalDF object.
`void` `fromString(java.lang.String str)` Set the values for the interval from a string.
`short` `getEncodedLength()` Return the qualifer value
`byte[]` `toIfx()` Convert value to Informix network format
`byte[]` `toIfxTuple()` Convert value to Informix tuple format
`Interval` `toInterval()` Return the Interval object.
`IntervalDF` `toIntervalDF()` Return the IntervalDF value of this object.
`java.lang.Object` `toObject()` Returns the equivalent Java Object
`java.lang.String` `toString()` Creates a string representation of the interval in the format:
`java.lang.String` `toUnloadString()` Convert to string format which is compatible with format generated by SQL unload command.
`IntervalDF` `value()` accessor

### Methods inherited from class com.informix.jdbc.IfxObject

`clear, clearWarning, equals, fromAsciiStream, fromAsciiStream, fromBinaryStream, fromBinaryStream, fromBlob, fromBoolean, fromBoolean, fromByte, fromByte, fromBytes, fromCharacterStream, fromCharacterStream, fromClob, fromDate, fromDecimal, fromDecimal, fromDouble, fromDouble, fromFloat, fromFloat, fromIfx, fromIfx, fromIfx, fromIfx, fromInputStream, fromInputStream, fromInt, fromInt, fromIntervalYM, fromLong, fromLong, fromNClob, fromObject, fromObject, fromObject, fromRowId, fromShort, fromShort, fromSQLXML, fromString, fromTime, fromTimestamp, get_used_in_update, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toAsciiStream, toBinaryStream, toBlob, toBoolean, toByte, toBytes, toCharacterStream, toClob, toDate, toDecimal, toDouble, toFloat, toIfxBSONObject, toInputStream, toInt, toIntervalYM, toLong, toNClob, toObject, toRowId, toShort, toSQLXML, toTime, toTimestamp, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxIntervalDF

    public IfxIntervalDF()
                  throws java.sql.SQLException

Default Constructor.

Throws:
  `java.sql.SQLException`

### Method Detail

#### value

    public IntervalDF value()

accessor

#### toIfx

    public byte[] toIfx()

Convert value to Informix network format

Overrides:
  `toIfx` in class `IfxObject`
Returns:
  a byte array representation of this data type in Informix network format

#### toIfxTuple

    public byte[] toIfxTuple()

Convert value to Informix tuple format

Overrides:
  `toIfxTuple` in class `IfxObject`
Returns:
  a byte array representation of this data type in Informix tuple format

#### fromIfx

    public void fromIfx(byte[] b,
               short prec)
                 throws java.sql.SQLException

Set value of this data type to the given Informix network format

Overrides:
  `fromIfx` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b,
               int offset,
               int length,
               short prec)
                 throws java.sql.SQLException

Set value of this data type to the given Informix network format

Overrides:
  `fromIfx` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Creates a string representation of the interval in the format:

        ddddd hh:mm:ss.nano

Where the presence of the various fields depends upon the qualifier. If no qualifier has been set the default is the full format. Any leading zeros in the composed string will be replaced by blanks.

Overrides:
  `toString` in class `IfxObject`
Returns:
  the converted String object, or null on error

#### fromString

    public void fromString(java.lang.String str)
                    throws java.sql.SQLException

Set the values for the interval from a string. This is done as a separate method rather than using valueOf since valueOf is usually a class method and this method must use the qualifier property

Overrides:
  `fromString` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toObject

    public java.lang.Object toObject()

Returns the equivalent Java Object

Overrides:
  `toObject` in class `IfxObject`
Returns:
  Java Object

#### toInterval

    public Interval toInterval()
                        throws java.sql.SQLException

Return the Interval object.

Overrides:
  `toInterval` in class `IfxObject`
Returns:
  returns converted Interval object
Throws:
  `java.sql.SQLException` - if the conversion failed

#### toIntervalDF

    public IntervalDF toIntervalDF()
                            throws java.sql.SQLException

Return the IntervalDF value of this object.

Overrides:
  `toIntervalDF` in class `IfxObject`
Returns:
  returns converted IntervalDF value
Throws:
  `java.sql.SQLException` - if the conversion failed

#### fromIntervalDF

    public void fromIntervalDF(IntervalDF DF)
                        throws java.sql.SQLException

Convert an IntervalDF to this IntervalDF object.

Overrides:
  `fromIntervalDF` in class `IfxObject`
Parameters:
  `I` - IntervalDF value to convert
Throws:
  `java.sql.SQLException` - if the conversion failed

#### getEncodedLength

    public short getEncodedLength()

Return the qualifer value

Overrides:
  `getEncodedLength` in class `IfxObject`

#### toUnloadString

    public java.lang.String toUnloadString()

Description copied from class: `IfxObject`
Convert to string format which is compatible with format generated by SQL unload command.

Overrides:
  `toUnloadString` in class `IfxObject`
Returns:
  the converted String object, or null on error